using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATExternalTrackingSourceType")]
public partial class AtexternalTrackingSourceType
{
    [Key]
    public int Id { get; set; }

    [StringLength(50)]
    public string Name { get; set; } = null!;

    [InverseProperty("SourceType")]
    public virtual ICollection<AtexternalTrackingDefinition> AtexternalTrackingDefinitions { get; set; } = new List<AtexternalTrackingDefinition>();
}
